/**
 * @file values.hh
 * @author David Gerick
 * @date 2018-04-03
 * 
 * This file contains the values that may be shared between functions!
 *
 */

#ifndef VALUES_H
#define VALUES_H

namespace fcnc {

///class that stores the options used in the analysis
class values {
public:

   ///resulting chi2 of angular acceptance correction parametrization
   double angacccorr_chi2;
   ///number of degrees of freedom in chi2 test of angular acceptance correction
   int angacccorr_ndof;

   ///chi2 calculated from 4 * 1D projections in angular acceptance corrections
   double chi2_4_1D;
   double chi2_4_1D_ctk;
   double chi2_4_1D_ctl;
   double chi2_4_1D_phi;
   double chi2_4_1D_q2;
   ///number of degrees of freedom in 4 * 1D projections
   int ndof_4_1D;
   int ndof_4_1D_ctk;
   int ndof_4_1D_ctl;
   int ndof_4_1D_phi;
   int ndof_4_1D_q2;

   //constructor:
   values():
     angacccorr_chi2(1.0),
     angacccorr_ndof(1),
     chi2_4_1D(1.0),
     chi2_4_1D_ctk(1.0),
     chi2_4_1D_ctl(1.0),
     chi2_4_1D_phi(1.0),
     chi2_4_1D_q2(1.0),
     ndof_4_1D(1),
     ndof_4_1D_ctk(1),
     ndof_4_1D_ctl(1),
     ndof_4_1D_phi(1),
     ndof_4_1D_q2(1)
  {
  };

};

}

#endif
